// main.js
import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import 'normalize.css';
import 'vant/lib/index.css';
import { createPinia } from 'pinia';

const app = createApp(App);
const pinia = createPinia();
app.use(pinia);
app.use(router);
app.directive('no-space', {
    mounted(el) {
        el.addEventListener('input', (e) => {
            const originalValue = e.target.value;
            const newValue = originalValue.replace(/\s/g, '');
            if (originalValue !== newValue) {
                e.target.value = newValue;
                e.target.dispatchEvent(new Event('input'));
            }
        });
    }
})
app.mount('#app');
