// router/index.js
import { createRouter, createWebHistory } from 'vue-router';
const routes = [
    {
        path: '/',
        name: 'signup',
        component: () => import('@/views/signup/index.vue')
    },
    {
        path: '/title-forward/logon',
        meta: { title: '登录' },
        component: () => import('@/views/logon/index.vue')
    },
    {
        path: '/title-forward',
        name: 'title-forward',
        component: () => import('@/views/title-forward/index.vue'),
        children: [
            {
                path: 'reg-details',
                meta: { title: '报名详情' },
                component: () => import('@/views/reg-details/index.vue')
            },
            {
                path: 'upload-id-card/:active',
                meta: { title: '上传身份证' },
                component: () => import('@/views/upload-id-card/index.vue')
            },
            {
                path: 'replace-id-card',
                meta: { title: '更换身份证' },
                component: () => import('@/views/replace-id-card/index.vue')
            }
        ]
    }
    // 添加其他路由配置...
];

const router = createRouter({
    history: createWebHistory(),
    routes
});

export default router;
